Skip to main content
GET
/
contracts
/
{contractId}
TypeScript
const response: Promise<FireblocksResponse<UnmanagedWallet>> = fireblocks.contracts.getContract(contractsApiGetContractRequest);
{
  "id": "<string>",
  "name": "<string>",
  "assets": [
    {
      "id": "<string>",
      "balance": "<string>",
      "lockedAmount": "<string>",
      "status": "WAITING_FOR_APPROVAL",
      "address": "<string>",
      "tag": "<string>",
      "activationTime": "<string>"
    }
  ],
  "customerRefId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

contractId
string
required

The ID of the contract to return

Response

A Wallet object

id
string
required
name
string
required
assets
object[]
required
customerRefId
string